<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="container">
    <%= link_to 'Fintrack', root_path, class: "navbar-brand" %>
    <% if current_user %>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item <%= 'active' if request.path == portfolio_path %>">
            <%= link_to 'Portfolio', portfolio_path, class: "nav-link" %>
          </li>
          <li class="nav-item <%= 'active' if request.path == friends_path %>">
            <%= link_to 'Friends', friends_path, class: "nav-link" %>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <%= fa_icon 'user' %> <%= current_user.full_name %>
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <%= link_to 'Edit profile', edit_user_registration_path, class: "dropdown-item" %>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="#">Something else here</a>
            </div>
          </li>
        </ul>
        <form class="form-inline my-2 my-lg-0">
          <%= link_to 'Log out', destroy_user_session_path, class: "btn btn-outline-danger mr-2 my-sm-0", method: :delete %>
          <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
          <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
        </form>
      </div>
    <% end %>
  </div>
</nav>